Package logsparser

[frames] | no frames]

# Package logsparser

source code

Submodules

- logsparser.extras
  - logsparser.extras.domain_parser: Here we define a function that can parse FQDNs that are IANA compliant.
  - logsparser.extras.robots: In this module we define a regular expression used to fetch the most common robots.
- logsparser.lognormalizer: This module exposes the LogNormalizer class that can be used for higher-level management of the normalization flow.
- logsparser.normalizer: Here we have everything needed to parse and use XML definition files.

Variables
| __package__ = `None`